@echo OFF
rem  * *******************************************************************
rem  *               SORTTXE1.cmd - a Windows Command File               *
rem  *         This program is provided by SimoTime Technologies         *
rem  *           (C) Copyright 1987-2016 All Rights Reserved             *
rem  *             Web Site URL:   http://www.simotime.com               *
rem  *                   e-mail:   helpdesk@simotime.com                 *
rem  * *******************************************************************
rem  * Step 1, Set environment and delete any previously created files.
rem  * Step 2, Create an ASCII/Text (or Line Sequential) file using the
rem  *         Windows echo command and piping the output to SORTIN.
rem  * Step 3, Sort the SORTIN file and create SORTOUT. The sorting
rem  *         specifications are included as a command line parameter.
rem  *         The SORTIN file is an ASCII/Text file.
rem  *         The SORTOUT file is an ASCII/Text file.
rem  ******************************************************************
rem  * Set Environment Variables, Delete previously created files
:STEP01
     echo Set the environment, delete previously created files...
rem  * The ezSetEnv is a Windows Command file that sets environment
rem  * variables that are common to a variety of sam[le applications
rem  * provided in the SimoTime collection.
     call ..\Env1BASE
     call SimoNOTE "SORTTXE1.cmd is STARTING..."
rem  * Set environment variables that are unique to this job...
     set SORTIN=%BaseLib1%\DATA\Wrk1\SRTBFORE.TXT
     set SORTOUT=%BaseLib1%\DATA\Wrk1\SRTATEXT.TXT
rem  * Delete previously created files...
     if exist %SORTIN%  erase %SORTIN%
     if exist %SORTOUT% erase %SORTOUT%
rem  *
rem  ******************************************************************
rem  * Create a test file to be sorted
:STEP02
     echo Create the SORTIN file...
rem  *    ....:....1....:....2....:....3....:....4....:....5....:....6
     echo 001 A C1 1100 0001 41 0100 0001>  %SORTIN%
     echo 002 B C2 1100 0010 42 0100 0010>> %SORTIN%
     echo 003 0 F0 1111 0000 30 0011 0000>> %SORTIN%
     echo 004 C C3 1100 0011 43 0100 0013>> %SORTIN%
rem  *
rem  ******************************************************************
rem  * Sort the test file to be sorted
:STEP03
     echo Start the SORT . . .
     MFSORT SORT FIELDS=(5,1,CH,A) use %SORTIN% ORG LS give %SORTOUT%
     if errorlevel = 1 set JobStatus=0016
     echo Job Status after the SORT is = %JobStatus%
     if not "%JobStatus%" == "0000" goto :EOJNOK
rem  *
rem  ******************************************************************
rem  * Normal EOJ, Display the sorted test file
:EOJAOK
     call SimoNOTE "SORTXTE1.cmd is FINISHED..."
echo ....:....1....:....2....:....3....:....4....:....5....:....6
     type %SORTOUT%
     echo SortOut=%SORTOUT%
     goto :EOJ
rem  *
rem  ******************************************************************
rem  * ABENDING, display a message and pause
:EOJNOK
     call SimoNOTE "SORTTXE1.cmd is ABENDING..."
rem  *
rem  ******************************************************************
rem  * ABENDING, display a message and pause
:EOJ
     pause
     exit /B %JobStatus%
